GNU bug report logs - #44307
27.1; UTF-8 parts transferred as 8bit in multipart messages fail to decode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs,gnus; Reported by: Thomas Schneider <qsx@HIDDEN>; dated Thu, 29 Oct 2020 14:12:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 44307 <at> debbugs.gnu.org:


Received: (at 44307) by debbugs.gnu.org; 2 Nov 2020 14:57:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 02 09:57:11 2020
Received: from localhost ([127.0.0.1]:42099 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kZbGg-0008Q3-O3
	for submit <at> debbugs.gnu.org; Mon, 02 Nov 2020 09:57:10 -0500
Received: from quimby.gnus.org ([95.216.78.240]:47892)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kZbGe-0008Pq-Cb
 for 44307 <at> debbugs.gnu.org; Mon, 02 Nov 2020 09:57:09 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=J7ru9lrZE+8IDo6E0OubSG2w81g/y1/pWxVCGTQya+s=; b=Lv9fezvzOLziUYuN8/FFu0emvH
 ZBy/FT8CmRM61gBSBzdRAie/QUfHWEVQA/Ruv4S8zTnmEaTn7zQUYytA6uOzi8yX/BHKp6obCeFvl
 2H9OlMxp44hHIYlzFt/lhxLZTAR/yxcNYSXIoXOZ6CYH/bFdaNl4jZsm/kf576z6bSI0=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kZbGO-0000xy-4U; Mon, 02 Nov 2020 15:57:02 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#44307: 27.1; UTF-8 parts transferred as 8bit in multipart
 messages fail to decode
References: <wwublglceet.fsf@HIDDEN> <87wnz7hnbb.fsf@HIDDEN>
 <87h7qbc09t.fsf@HIDDEN> <87ft5vhm4m.fsf@HIDDEN>
 <878sbnbw9e.fsf@HIDDEN> <87zh41e0q4.fsf@HIDDEN>
 <878sbl1de1.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAKlBMVEX+7FH87WPLrEaO
 bDWwjDpNGyhUJSqphUpkNi5ySy5sRUbLrD2LYEv////M2cpMAAAAAWJLR0QN9rRh9QAAAAd0SU1F
 B+QLAg4sHLt2EEUAAAGDSURBVDjLdZRBbsIwEEVzhPYI0CXLtAvWiN7AI7quZmSWHALLZouEiHoB
 FHEDrpBDdewZJ04IP1kkfh7/8UziqprRO6v6qGe1qLZGBGgMml6HakuiXR2a+rzWt6OCGGHJsxRg
 BIbiEnhq2/aGPGkAsrTOJQMZIA2eiWQgJiBTSw9MI0CGJuB37WJWRBOAf5u6uXo00wisDYRzvVm7
 wiWBBqK3b1gOSo99Stwk6HTBBH6QU0KIEIIPrgBoKM7km92+erBDRGBflIJcCpAcSI39YB5Lij2w
 o6yiNU0AeiCQaolcBgGk1BnaDGxeCh15kJAekHjgmQZA+6Kqn04Slp3T0Ker5iUbPBoY9SmDOM1J
 +uPWkh0+tHHEaGge9Pj4DNwrYF+ClKCb8fCO2RyIwxF8P0VEk2MJIAcwKCO0tdbGtWaz4gIpQP3v
 +q5b3UcT+OL7yp914KfmorXyPviR3FDEU9vd267tbvfOpYod9MgoGoj6164equVqWWhRPWaOpTc+
 lv4BOsy5elBuQLgAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjAtMTEtMDJUMTQ6NDQ6MjgrMDA6MDCs
 9+mNAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIwLTExLTAyVDE0OjQ0OjI4KzAwOjAw3apRMQAAAABJ
 RU5ErkJggg==
X-Now-Playing: The Unthanks's _Diversions, Vol 1: The Songs Of Robert Wyatt
 And Antony & The Johnsons_: "Forest (Excerpt)"
Date: Mon, 02 Nov 2020 15:56:51 +0100
In-Reply-To: <878sbl1de1.fsf@HIDDEN> (Andreas Schwab's message of "Sun, 01
 Nov 2020 13:15:50 +0100")
Message-ID: <874km7958s.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Andreas Schwab <schwab@HIDDEN> writes: >> Even if
 I look at the raw message as posted to the bugs mailing list -- >> the
 uuencoded
 data doesn't seem right when I try to decode it. > > Did you remove the QP
 layer? Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44307
Cc: 44307 <at> debbugs.gnu.org, Thomas Schneider <qsx@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andreas Schwab <schwab@HIDDEN> writes:

>> Even if I look at the raw message as posted to the bugs mailing list --
>> the uuencoded data doesn't seem right when I try to decode it.
>
> Did you remove the QP layer?

Nope; doing that I'm able to uudecode the mail.

I then tried displaying it as an nndoc group, and that seems to work
fine for me in Emacs 28.

Thomas, could you check whether this works in Emacs 28, or give more
precise instructions for how to reproduce the bug?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#44307; Package emacs,gnus. Full text available.

Message received at 44307 <at> debbugs.gnu.org:


Received: (at 44307) by debbugs.gnu.org; 1 Nov 2020 12:15:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 01 07:15:57 2020
Received: from localhost ([127.0.0.1]:35832 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kZCH7-0005dE-MR
	for submit <at> debbugs.gnu.org; Sun, 01 Nov 2020 07:15:57 -0500
Received: from mail-out.m-online.net ([212.18.0.9]:46017)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1kZCH4-0005Y2-B7
 for 44307 <at> debbugs.gnu.org; Sun, 01 Nov 2020 07:15:56 -0500
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4CPFPg4Jtxz1qs38;
 Sun,  1 Nov 2020 13:15:51 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4CPFPg2vGhz1sM9K;
 Sun,  1 Nov 2020 13:15:51 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id 0ZB5dIc8-SYH; Sun,  1 Nov 2020 13:15:50 +0100 (CET)
X-Auth-Info: 9CPprFvNPPe6RnDEOz15BmOHOKJcxsmQwivr6IPVN5dbTVMuzL0yFbnh8aWHNSpB
Received: from igel.home (ppp-46-244-171-138.dynamic.mnet-online.de
 [46.244.171.138])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Sun,  1 Nov 2020 13:15:50 +0100 (CET)
Received: by igel.home (Postfix, from userid 1000)
 id 389232C091B; Sun,  1 Nov 2020 13:15:50 +0100 (CET)
From: Andreas Schwab <schwab@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#44307: 27.1; UTF-8 parts transferred as 8bit in multipart
 messages fail to decode
References: <wwublglceet.fsf@HIDDEN> <87wnz7hnbb.fsf@HIDDEN>
 <87h7qbc09t.fsf@HIDDEN> <87ft5vhm4m.fsf@HIDDEN>
 <878sbnbw9e.fsf@HIDDEN> <87zh41e0q4.fsf@HIDDEN>
X-Yow: When you said ``HEAVILY FORESTED'' it reminded me of an overdue
 CLEANING BILL..  Don't you SEE?  O'Grogan SWALLOWED a VALUABLE
 COIN COLLECTION and HAD to murder the ONLY MAN who KNEW!!
Date: Sun, 01 Nov 2020 13:15:50 +0100
In-Reply-To: <87zh41e0q4.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 01 Nov 2020 13:10:59 +0100")
Message-ID: <878sbl1de1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 44307
Cc: 44307 <at> debbugs.gnu.org, Thomas Schneider <qsx@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.5 (-)

On Nov 01 2020, Lars Ingebrigtsen wrote:

> Andreas Schwab <schwab@HIDDEN> writes:
>
>>> The message (containing uuencoded data) is mangled in any case.
>>
>> Even if you add '(uu . disabled) to mm-uu-configure-list?
>
> Even if I look at the raw message as posted to the bugs mailing list --
> the uuencoded data doesn't seem right when I try to decode it.

Did you remove the QP layer?

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#44307; Package emacs,gnus. Full text available.

Message received at 44307 <at> debbugs.gnu.org:


Received: (at 44307) by debbugs.gnu.org; 1 Nov 2020 12:11:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 01 07:11:11 2020
Received: from localhost ([127.0.0.1]:35824 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kZCCV-0004fL-13
	for submit <at> debbugs.gnu.org; Sun, 01 Nov 2020 07:11:11 -0500
Received: from quimby.gnus.org ([95.216.78.240]:33416)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kZCCT-0004f5-Gy
 for 44307 <at> debbugs.gnu.org; Sun, 01 Nov 2020 07:11:10 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=mRSjx6PDZ+5L75OXdgkjq2m29Q6371u8DnV7tYjIQNM=; b=O5sbZgPEVjMVj0a7Isowsj7mUu
 Ox6xKwi8h8Thye4SdWSvtdLjq0Q23NKBuEWafozg/w0fnOEKQ5dUTHqJusgCbvOj/nslMj7hvAds+
 kSg5hm6Iez9KOdvjb8xwv+VXlc4vT4che8veopY9EVUwdSwHRZcTtQZ37Zlm4A8zUas8=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kZCCK-000893-U8; Sun, 01 Nov 2020 13:11:03 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#44307: 27.1; UTF-8 parts transferred as 8bit in multipart
 messages fail to decode
References: <wwublglceet.fsf@HIDDEN> <87wnz7hnbb.fsf@HIDDEN>
 <87h7qbc09t.fsf@HIDDEN> <87ft5vhm4m.fsf@HIDDEN>
 <878sbnbw9e.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAJ1BMVEUIBQQiGhtHPjwx
 KypgWFUnHiCQiniooJHEuLGCenDZz8aMe4X///8w5ysyAAAAAWJLR0QMgbNRYwAAAAd0SU1FB+QL
 AQsmO/DtIKEAAAGrSURBVDjLjZK/T+NQDMftXqqu7xEiVmg6ICaSkIWpaqOrgOVClf8AFdgYqvrB
 hBCQiBmBxC0IEOllug3p7p/jvVKgJEZgOT/kT7527GcAAUIIAJDaUb4ZfG3uxOcB212A7mvU9uKd
 OOx40LPrZx3PvL3YTU6DNBukVq5ktpurQT4F10QjRUQWqZhGdE70Bs73M6JTi1Kkw8de7x0M9fc0
 tGgk9XNvRqFIK3SNIzmmPKN0Cvqh33cDz8WuD82gq/0bDRoTjh6G+CUdpzQSISXG+h5L5zMtfrNG
 pSYXbAPUHjigx9gYc5KLv9AoWHAP1h8ulcpx4dhaZcB4vThotKuAsqPieIEBWyq7OFlZrILoiYpC
 MTVaW0/ZmKpx8CNfpUMGBG6NfncY0F+qRf+5E048sR1xQHrgz3kMcBJ9cbPCPhvVW5II4E1WAQaB
 +6IqWT1q6s6wskIIKEwQy7l+DH9eTYZUzoVusDZpGeOypp6EZtvQjktgvhWZ4tJ0zzWiwcdc1uXG
 zhT4H0GnZU7IkU643C4lMX9qB2GweTvTRmJHpjjYzWbr392sQAiUzxdMYtqOsupyAAAAJXRFWHRk
 YXRlOmNyZWF0ZQAyMDIwLTExLTAxVDExOjM4OjU5KzAwOjAwB6UZzAAAACV0RVh0ZGF0ZTptb2Rp
 ZnkAMjAyMC0xMS0wMVQxMTozODo1OSswMDowMHb4oXAAAAAASUVORK5CYII=
X-Now-Playing: Melanie de Biasio's _A stomach is burning_: "The latest light
 of love"
Date: Sun, 01 Nov 2020 13:10:59 +0100
In-Reply-To: <878sbnbw9e.fsf@HIDDEN> (Andreas Schwab's message of "Fri, 30
 Oct 2020 15:53:33 +0100")
Message-ID: <87zh41e0q4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Andreas Schwab <schwab@HIDDEN> writes: >> The message
 (containing uuencoded data) is mangled in any case. > > Even if you add '(uu
 . disabled) to mm-uu-configure-list? Even if I look at the raw message as
 posted to the bugs mailing list -- the uuencoded data doesn't seem right
 when I try to decode it. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44307
Cc: 44307 <at> debbugs.gnu.org, Thomas Schneider <qsx@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andreas Schwab <schwab@HIDDEN> writes:

>> The message (containing uuencoded data) is mangled in any case.
>
> Even if you add '(uu . disabled) to mm-uu-configure-list?

Even if I look at the raw message as posted to the bugs mailing list --
the uuencoded data doesn't seem right when I try to decode it.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#44307; Package emacs,gnus. Full text available.

Message received at 44307 <at> debbugs.gnu.org:


Received: (at 44307) by debbugs.gnu.org; 30 Oct 2020 14:53:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 30 10:53:38 2020
Received: from localhost ([127.0.0.1]:59221 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kYVmc-0006VM-GE
	for submit <at> debbugs.gnu.org; Fri, 30 Oct 2020 10:53:38 -0400
Received: from mail-out.m-online.net ([212.18.0.10]:52014)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1kYVma-0006VB-1A
 for 44307 <at> debbugs.gnu.org; Fri, 30 Oct 2020 10:53:37 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4CN50Z2xFhz1rvRp;
 Fri, 30 Oct 2020 15:53:34 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4CN50Z266Gz1qv50;
 Fri, 30 Oct 2020 15:53:34 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id kjgM7NYPZDG2; Fri, 30 Oct 2020 15:53:33 +0100 (CET)
X-Auth-Info: jL8Dbc5E5GH6OWjrPgGxB6eb0wH6IEsvFG7Gk8LhjdP26qEFAOYBmoaqguOwSAiI
Received: from igel.home (ppp-46-244-190-51.dynamic.mnet-online.de
 [46.244.190.51])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Fri, 30 Oct 2020 15:53:33 +0100 (CET)
Received: by igel.home (Postfix, from userid 1000)
 id 29CCA2C0B97; Fri, 30 Oct 2020 15:53:33 +0100 (CET)
From: Andreas Schwab <schwab@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#44307: 27.1; UTF-8 parts transferred as 8bit in multipart
 messages fail to decode
References: <wwublglceet.fsf@HIDDEN> <87wnz7hnbb.fsf@HIDDEN>
 <87h7qbc09t.fsf@HIDDEN> <87ft5vhm4m.fsf@HIDDEN>
X-Yow: I wonder if there's anything GOOD on tonight?
Date: Fri, 30 Oct 2020 15:53:33 +0100
In-Reply-To: <87ft5vhm4m.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 30 Oct 2020 14:35:53 +0100")
Message-ID: <878sbnbw9e.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 44307
Cc: 44307 <at> debbugs.gnu.org, Thomas Schneider <qsx@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

On Okt 30 2020, Lars Ingebrigtsen wrote:

> Andreas Schwab <schwab@HIDDEN> writes:
>
>> Try setting mm-dissect-disposition to "attachment".
>
> The message (containing uuencoded data) is mangled in any case.

Even if you add '(uu . disabled) to mm-uu-configure-list?

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#44307; Package emacs,gnus. Full text available.

Message received at 44307 <at> debbugs.gnu.org:


Received: (at 44307) by debbugs.gnu.org; 30 Oct 2020 13:36:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 30 09:36:06 2020
Received: from localhost ([127.0.0.1]:56693 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kYUZZ-00084E-VL
	for submit <at> debbugs.gnu.org; Fri, 30 Oct 2020 09:36:06 -0400
Received: from quimby.gnus.org ([95.216.78.240]:38026)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kYUZX-00083L-Qh
 for 44307 <at> debbugs.gnu.org; Fri, 30 Oct 2020 09:36:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Bl/239Nk7aXDfHrkon7k1lRM6zQpqfE1wVg6Rphcdio=; b=ZshPTD46xc2m8v+NAh00un6aqa
 c+IGWoOjiHqJHs82R8JAhrlEgbWSdOQpoTrcKdF/i2M7Yf3kpb6pumlGMQq782VJpmD5hnQPCviPe
 klKgyctMCsVivSElAtLv6MIZHJe38BuYOqCad83XiOTdtUzoIZxdgFit5Vf2NCO8LX1I=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kYUZP-0000bY-A3; Fri, 30 Oct 2020 14:35:57 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#44307: 27.1; UTF-8 parts transferred as 8bit in multipart
 messages fail to decode
References: <wwublglceet.fsf@HIDDEN> <87wnz7hnbb.fsf@HIDDEN>
 <87h7qbc09t.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAJ1BMVEUPBwogJR0rLxQ3
 QCJhZRmhqiDM0ST9/R72+iPV7Cmx1Cx4iSH////WbztEAAAAAWJLR0QMgbNRYwAAAAd0SU1FB+QK
 Hg0jH4AOIv4AAAGqSURBVDjLlZOxTgJBEIbvACsbjmivog2VYEKiFTEhkY4oJGJFLDT2yI61mpkr
 TUzYtbTDzlKfztnZPe6OQ4zL5cjNtzP/zOxOECytMPhzVVdas45R1l7NfEZ5n6gqPIzqe7s5cMQ7
 w6hVay1rNcNmFEb8FJNqtQoK0SrRtZWE1fS9rsit4XCwU+S17q1SajpY9mjHiggZvebBtmI7KSbw
 ns1nf6YAGPCi+DMF35p3kgMqfht0vL2hSSKhACCcHoq9NHcxPLBkLMIb2n86O++IXwT0ZlmALK/7
 LpKP7f6IPZ5FYpMSC+/m3IBil1WbvKR9yIInl+xZBtilaOzA5UIiRgHoIpW0RnTCJIGAXO8rRpPv
 hq0fAKe+H8ZQQoB/pCYOfOkMQM4A+15bIiUAAXykoKfJaLRZks0BaJIAY2IXTIBCX0VwnAJpPHb8
 8TXmxiTAykyTY614O7tJlY+LWzLyDgLgIb1yBx/adkIUAK/T6QuvjL8MjO6zl/PkzmiQniMkKTn5
 OVcIUuB5fijKI2OtCi6Wx6hUt6dl9xfmq9y9GZ4GQWG8fhuq/6wfdPn5jeu437YAAAAldEVYdGRh
 dGU6Y3JlYXRlADIwMjAtMTAtMzBUMTM6MzU6MzErMDA6MDBNlyqaAAAAJXRFWHRkYXRlOm1vZGlm
 eQAyMDIwLTEwLTMwVDEzOjM1OjMxKzAwOjAwPMqSJgAAAABJRU5ErkJggg==
X-Now-Playing: The Raincoats's _Extended Play_: "Don't Be Mean"
Date: Fri, 30 Oct 2020 14:35:53 +0100
In-Reply-To: <87h7qbc09t.fsf@HIDDEN> (Andreas Schwab's message of "Fri, 30
 Oct 2020 14:26:54 +0100")
Message-ID: <87ft5vhm4m.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Andreas Schwab <schwab@HIDDEN> writes: > Try setting
 mm-dissect-disposition to "attachment". The message (containing uuencoded
 data) is mangled in any case. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44307
Cc: 44307 <at> debbugs.gnu.org, Thomas Schneider <qsx@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andreas Schwab <schwab@HIDDEN> writes:

> Try setting mm-dissect-disposition to "attachment".

The message (containing uuencoded data) is mangled in any case.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#44307; Package emacs,gnus. Full text available.

Message received at 44307 <at> debbugs.gnu.org:


Received: (at 44307) by debbugs.gnu.org; 30 Oct 2020 13:28:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 30 09:28:28 2020
Received: from localhost ([127.0.0.1]:56651 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kYUSC-0007oS-Eo
	for submit <at> debbugs.gnu.org; Fri, 30 Oct 2020 09:28:28 -0400
Received: from mail-out.m-online.net ([212.18.0.10]:59420)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1kYUSA-0007oK-UQ
 for 44307 <at> debbugs.gnu.org; Fri, 30 Oct 2020 09:28:27 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4CN36L1f31z1rxwK;
 Fri, 30 Oct 2020 14:28:26 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4CN36L1Pnkz1qv4p;
 Fri, 30 Oct 2020 14:28:26 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id xFbYBiLbWKlX; Fri, 30 Oct 2020 14:28:25 +0100 (CET)
X-Auth-Info: /aj52RtTb3Iyy+a/3qn2oAREEzs4klqw04UOKQtpYjewBaDezQtqbdEXp8nrV4f9
Received: from igel.home (ppp-46-244-190-51.dynamic.mnet-online.de
 [46.244.190.51])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Fri, 30 Oct 2020 14:28:25 +0100 (CET)
Received: by igel.home (Postfix, from userid 1000)
 id C77432C094B; Fri, 30 Oct 2020 14:28:24 +0100 (CET)
From: Andreas Schwab <schwab@HIDDEN>
To: Thomas Schneider <qsx@HIDDEN>
Subject: Re: bug#44307: 27.1; UTF-8 parts transferred as 8bit in multipart
 messages fail to decode
References: <wwublglceet.fsf@HIDDEN>
X-Yow: Why is it that when you DIE, you can't take your
 HOME ENTERTAINMENT CENTER with you??
Date: Fri, 30 Oct 2020 14:28:24 +0100
In-Reply-To: <wwublglceet.fsf@HIDDEN> (Thomas Schneider's message of
 "Thu, 29 Oct 2020 15:09:14 +0100")
Message-ID: <87d00zc07b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 44307
Cc: 44307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

On Okt 29 2020, Thomas Schneider wrote:

> Any non-ASCII printable character (e. g., German umlauts) are
> interpreted as something else (probably ISO 8859) in the HTML part, or
> not interpreted at all and displayed as octal escapes in the plain part.

Looks like double decoding.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#44307; Package emacs,gnus. Full text available.

Message received at 44307 <at> debbugs.gnu.org:


Received: (at 44307) by debbugs.gnu.org; 30 Oct 2020 13:27:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 30 09:27:02 2020
Received: from localhost ([127.0.0.1]:56641 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kYUQn-0007ll-KL
	for submit <at> debbugs.gnu.org; Fri, 30 Oct 2020 09:27:02 -0400
Received: from mail-out.m-online.net ([212.18.0.10]:50461)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1kYUQl-0007lU-Je
 for 44307 <at> debbugs.gnu.org; Fri, 30 Oct 2020 09:27:00 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4CN34c72nfz1rxYX;
 Fri, 30 Oct 2020 14:26:56 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4CN34c5wZTz1qv4l;
 Fri, 30 Oct 2020 14:26:56 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id VfLFMnH3l4jO; Fri, 30 Oct 2020 14:26:55 +0100 (CET)
X-Auth-Info: lzTGLBuKv1dfKYwQIqL1yEvGT3raLLcrHAdJFpJCT1qW+CPfvMSTxG3T078Rxfi+
Received: from igel.home (ppp-46-244-190-51.dynamic.mnet-online.de
 [46.244.190.51])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Fri, 30 Oct 2020 14:26:55 +0100 (CET)
Received: by igel.home (Postfix, from userid 1000)
 id 072DA2C094B; Fri, 30 Oct 2020 14:26:55 +0100 (CET)
From: Andreas Schwab <schwab@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#44307: 27.1; UTF-8 parts transferred as 8bit in multipart
 messages fail to decode
References: <wwublglceet.fsf@HIDDEN> <87wnz7hnbb.fsf@HIDDEN>
X-Yow: There's a lot of BIG MONEY in MISERY if you have an AGENT!!
Date: Fri, 30 Oct 2020 14:26:54 +0100
In-Reply-To: <87wnz7hnbb.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 30 Oct 2020 14:10:16 +0100")
Message-ID: <87h7qbc09t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 44307
Cc: 44307 <at> debbugs.gnu.org, Thomas Schneider <qsx@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

On Okt 30 2020, Lars Ingebrigtsen wrote:

> Thomas Schneider <qsx@HIDDEN> writes:
>
>> A working example can be found below – uuencoded to prevent any further
>> charset transfer issues.  It should display 'ääää', that is, four 'a'
>> with a trema above, in either part.  I’m unsure how to reproduce it
>> without a working Gnus setup.  I inserted the message in a nnmaildir
>> group to display it, so this way should definitely work.
>>
>> From: example <example@HIDDEN>
>> Subject: test
>> To: example <example@HIDDEN>
>> Date: Thu, 29 Oct 2020 14:47:55 +0100 (23 hours, 21 minutes, 37 seconds ago)
>>
>> dddd
>> ----------
>
> Something has badly mangled the message in transport.  Can you gzip the
> file and include it as an attachment instead?

Try setting mm-dissect-disposition to "attachment".

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#44307; Package emacs,gnus. Full text available.

Message received at 44307 <at> debbugs.gnu.org:


Received: (at 44307) by debbugs.gnu.org; 30 Oct 2020 13:10:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 30 09:10:27 2020
Received: from localhost ([127.0.0.1]:56599 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kYUAl-0005E6-CZ
	for submit <at> debbugs.gnu.org; Fri, 30 Oct 2020 09:10:27 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37672)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kYUAk-0005Dp-2i
 for 44307 <at> debbugs.gnu.org; Fri, 30 Oct 2020 09:10:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=hVW2oy7j3WMkLQo/xGkQy1oDIvhTn98YNGcD1SDtOL8=; b=tTj+G9woIuFVgKpETQf7+RAh6j
 Ag/5lEXuzUYbdkMkJVt1WLxHzR9mkca+JbDkWmgO6mc+f/aqCNN0KY9gDiJajp8NGTsuxtA1h9wGO
 lyU6mLu+oEr2IRr64in4tQAS2JXS2joZnkbb7jZ9YYwNP5Yogaz2/erjkA3szKYXX6r0=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kYUAb-0000O7-Iw; Fri, 30 Oct 2020 14:10:20 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Thomas Schneider <qsx@HIDDEN>
Subject: Re: bug#44307: 27.1; UTF-8 parts transferred as 8bit in multipart
 messages fail to decode
References: <wwublglceet.fsf@HIDDEN>
X-Now-Playing: Noveller's _Arrow_: "Pattern Recognition"
Date: Fri, 30 Oct 2020 14:10:16 +0100
In-Reply-To: <wwublglceet.fsf@HIDDEN> (Thomas Schneider's message of
 "Thu, 29 Oct 2020 15:09:14 +0100")
Message-ID: <87wnz7hnbb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Thomas Schneider <qsx@HIDDEN> writes: > A working example
    can be found below – uuencoded to prevent any further > charset transfer
    issues. It should display 'ääää', that is, four 'a' > with a trema above,
    in either part. I’m unsur [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44307
Cc: 44307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Thomas Schneider <qsx@HIDDEN> writes:

> A working example can be found below =E2=80=93 uuencoded to prevent any f=
urther
> charset transfer issues.  It should display '=C3=A4=C3=A4=C3=A4=C3=A4', t=
hat is, four 'a'
> with a trema above, in either part.  I=E2=80=99m unsure how to reproduce =
it
> without a working Gnus setup.  I inserted the message in a nnmaildir
> group to display it, so this way should definitely work.
>
> From: example <example@HIDDEN>
> Subject: test
> To: example <example@HIDDEN>
> Date: Thu, 29 Oct 2020 14:47:55 +0100 (23 hours, 21 minutes, 37 seconds a=
go)
>
> dddd
> ----------

Something has badly mangled the message in transport.  Can you gzip the
file and include it as an attachment instead?

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#44307; Package emacs,gnus. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Oct 2020 14:11:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 29 10:11:28 2020
Received: from localhost ([127.0.0.1]:54501 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kY8eF-0003Vj-JS
	for submit <at> debbugs.gnu.org; Thu, 29 Oct 2020 10:11:28 -0400
Received: from lists.gnu.org ([209.51.188.17]:53356)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <qsx@HIDDEN>) id 1kY8eD-0003Vb-H4
 for submit <at> debbugs.gnu.org; Thu, 29 Oct 2020 10:11:26 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:47900)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <qsx@HIDDEN>) id 1kY8eD-00054D-CD
 for bug-gnu-emacs@HIDDEN; Thu, 29 Oct 2020 10:11:25 -0400
Received: from mx0.chaotikum.eu ([2a01:4f8:c2c:ce71::1]:45164)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <qsx@HIDDEN>) id 1kY8e9-00043h-7U
 for bug-gnu-emacs@HIDDEN; Thu, 29 Oct 2020 10:11:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=chaotikum.eu; s=20200128.mx0; h=Content-Transfer-Encoding:Content-Type:
 MIME-Version:Message-ID:Date:Subject:To:From:Sender:Reply-To:Cc:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=YRmUetp89f+2D4UskD5/hNJfrFmbAcIil5XuqHunjQI=; b=ZQVqkW7hTmnMZEWDCuQyi4TJZo
 A2XKhecdVN/+A/uw6HokPcxHQShd2oBg6ecN/nSK0TVwcXOE92ErQ0Ot41UedKaIy5mLxVmTsPHXt
 v7SbA4t8+RlarVaomTHccDE8n0bsZ+GdqE94C3XEYPuvDVxm/JAh4Xo8Onvd8efHi2lLdQnmd0qll
 Ie7H1eUBLPf1BAvz7eWm0Yd23he0g9/AmgAfYQXgSDFGIhlgb32q7Z6oDc1F6rjj++ixa9d82Mtgv
 HJ03MUzCORaIMqi6IsvIVpiVuYxUCNGsmbuKCvDBzkPc3qK2X5NDsW1LZvgSuAzSvZtYTSok+RDs5
 7X1e4iUQWEezQ5HpFX+c1G7rjAxPeMWPpyHxhOm/Zj9abRL33GJ3kZpu9xjKT98bmOqE8/DAJcI9S
 Yi/fHsYnalTZRJQhwKWawA1Oy+xfNwCkrwFts3IhkeWExZfafisuAzqqlwtmv6kPR3DX/nlajjHag
 mnXEH0be3iSuTgCyxfXcT5OIGAp9Yi0OcWsZ3GJWocs+p3ShMk8PXCEuaGOFJkWF2v93Xcy/pW/ew
 I0kJmz+bOnk0S/r8HShL8K/+BcyuxMaGN7P9P+L8gUShseALkvCe9r2LExb/YfFufjP0aqs6CEKNV
 JwH/0uKViMURlcwlj3Hu1FpY8S7b3vaeg56eYpqRU=;
X-Spam-Action: no action
X-Spam-Bar: /
X-Spam-Report: Action: no action Symbol: ARC_NA(0.00)
 Symbol: RCVD_VIA_SMTP_AUTH(0.00) Symbol: FROM_HAS_DN(0.00)
 Symbol: TO_MATCH_ENVRCPT_ALL(0.00) Symbol: MIME_GOOD(-0.10)
 Symbol: TO_DN_NONE(0.00) Symbol: RCPT_COUNT_ONE(0.00)
 Symbol: RCVD_COUNT_ONE(0.00) Symbol: FROM_EQ_ENVFROM(0.00)
 Symbol: MIME_TRACE(0.00) Symbol: ASN(0.00)
 Symbol: RCVD_TLS_ALL(0.00) Symbol: MID_RHS_MATCH_FROM(0.00)
 Message-ID: wwublglceet.fsf@HIDDEN
X-Spam-Score: -0.1 (/)
Received: from 2001-4dd0-4f8e-0-51dd-43b5-3f3b-c95a.ipv6dyn.netcologne.de
 ([2001:4dd0:4f8e:0:51dd:43b5:3f3b:c95a]:48132 helo=coruscant.chaotikum.eu)
 by mx0.chaotikum.eu with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <qsx@HIDDEN>) id 1kY8e4-0001V6-61
 for bug-gnu-emacs@HIDDEN; Thu, 29 Oct 2020 15:11:16 +0100
From: Thomas Schneider <qsx@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.1; UTF-8 parts transferred as 8bit in multipart messages fail to
 decode
Date: Thu, 29 Oct 2020 15:09:14 +0100
Message-ID: <wwublglceet.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
X-Debbugs-Package: emacs,gnus
Openpgp: id=E384009D3B54DCD321BF953295EE94A432583DB1;
 url=https://pgp.mit.edu/pks/lookup?op=get&search=0x95EE94A432583DB1;
 preference=signencrypt
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=2a01:4f8:c2c:ce71::1;
 envelope-from=qsx@HIDDEN; helo=mx0.chaotikum.eu
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


Hi,

Gnus fails to display certain messages correctly.  So far, I have
identified the following conditions, though there might be other
constellations:

- The message is multipart/alternative
- The text/* part is UTF-8
- Content-Transfer-Encoding is 8bit

Any non-ASCII printable character (e. g., German umlauts) are
interpreted as something else (probably ISO 8859) in the HTML part, or
not interpreted at all and displayed as octal escapes in the plain part.

A working example can be found below =E2=80=93 uuencoded to prevent any fur=
ther
charset transfer issues.  It should display '=C3=A4=C3=A4=C3=A4=C3=A4', tha=
t is, four 'a'
with a trema above, in either part.  I=E2=80=99m unsure how to reproduce it
without a working Gnus setup.  I inserted the message in a nnmaildir
group to display it, so this way should definitely work.

begin 644 example.eml
M1G)O;3H@97AA;7!L92`\97AA;7!L94!E>&%M<&QE+F]R9SX-"E1O.B!E>&%M
M<&QE(#QE>&%M<&QE0&5X86UP;&4N;W)G/@T*0V]N=3D&5N=3D"U4>7!E.B!M=3D6QT
M:7!A<G0O86QT97)N871I=3DF4[(&)O=3D6YD87)Y/2(]/3T]/3T]/3T]/3T]/3TR
M.#<W,3DU,#<U.30V.3<T,C0V/3TB#0I$871E.B!4:'4L(#(Y($]C=3D"`R,#(P
M(#$T.C0W.C4U("LP,3`P#0I-24U%+59E<G-I;VXZ(#$N,`T*4W5B:F5C=3D#H@
M=3D&5S=3D`T*#0HM+3T]/3T]/3T]/3T]/3T]/3(X-S<Q.34P-S4Y-#8Y-S0R-#8]
M/0T*0V]N=3D&5N=3D"U4>7!E.B!T97AT+W!L86EN.R!C:&%R<V5T/2)U=3D&8M."(-
M"D-O;G1E;G0M5')A;G-F97(M16YC;V1I;F<Z(#AB:70-"@T*PZ3#I,.DPZ0-
M"@T*+2T]/3T]/3T]/3T]/3T]/3TR.#<W,3DU,#<U.30V.3<T,C0V/3T-"D-O
M;G1E;G0M5'EP93H@=3D&5X=3D"]H=3D&UL.R!C:&%R<V5T/2)U=3D&8M."(-"D-O;G1E
M;G0M5')A;G-F97(M16YC;V1I;F<Z(#AB:70-"@T*/"%D;V-T>7!E(&AT;6P^
M/&AT;6P^/&AE860^/&UE=3D&$@:'1T<"UE<75I=3DCTB8V]N=3D&5N=3D"UT>7!E(B!C
M;VYT96YT/2)T97AT+VAT;6P[(&-H87)S970]551&+3@B/CPO:&5A9#X\8F]D
M>3[#I,.DPZ3#I#PO8F]D>3X\+VAT;6P^#0H-"BTM/3T]/3T]/3T]/3T]/3T]
9,C@W-S$Y-3`W-3DT-CDW-#(T-CT]+2T-"@``
`
end

Thanks for your time,
Thomas


In GNU Emacs 27.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.22, cair=
o version 1.16.0)
 of 2020-09-01 built on localhost
Windowing system distributor 'The X.Org Foundation', version 11.0.12008000
System Description: Gentoo/Linux

Recent messages:
Checking new news...done
Mark set
A bookmark has been added to the current article. [2 times]
Moved to bookmark [2 times]
Auto-saving...done

Configured using:
 'configure --prefix=3D/usr --build=3Dx86_64-pc-linux-gnu
 --host=3Dx86_64-pc-linux-gnu --mandir=3D/usr/share/man
 --infodir=3D/usr/share/info --datadir=3D/usr/share --sysconfdir=3D/etc
 --localstatedir=3D/var/lib --disable-silent-rules
 --docdir=3D/usr/share/doc/emacs-27.1-r1
 --htmldir=3D/usr/share/doc/emacs-27.1-r1/html --libdir=3D/usr/lib64
 --program-suffix=3D-emacs-27 --includedir=3D/usr/include/emacs-27
 --infodir=3D/usr/share/info/emacs-27 --localstatedir=3D/var
 --enable-locallisppath=3D/etc/emacs:/usr/share/emacs/site-lisp
 --without-compress-install --without-hesiod --without-pop
 --with-dumping=3Dpdumper --with-file-notification=3Dinotify --enable-acl
 --with-dbus --without-modules --without-gameuser --with-libgmp
 --with-gpm --without-json --with-kerberos --with-kerberos5 --with-lcms2
 --with-xml2 --without-mailutils --without-selinux --with-gnutls
 --with-libsystemd --with-threads --without-wide-int --with-zlib
 --with-sound=3Dalsa --with-x --without-ns --without-gconf
 --with-gsettings --with-toolkit-scroll-bars --with-gif --with-jpeg
 --with-png --with-rsvg --with-tiff --with-xpm --with-imagemagick
 --with-xft --with-cairo --without-harfbuzz --with-libotf
 --with-m17n-flt --with-x-toolkit=3Dgtk3 --without-xwidgets 'CFLAGS=3D-O2
 -pipe -march=3Dnative -g' CPPFLAGS=3D 'LDFLAGS=3D-Wl,-O1 -Wl,--as-needed''

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO IMAGEMAGICK SOUND GPM DBUS GSETTINGS
GLIB NOTIFY INOTIFY ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM THREADS LIBSYSTEMD PDUMPER LCMS2
GMP

Important settings:
  value of $LC_MESSAGES: en_GB.UTF-8
  value of $LC_TIME: en_DK.UTF-8
  value of $LANG: de_DE.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Group

Minor modes in effect:
  hl-line-mode: t
  cursor-sensor-mode: t
  gnus-undo-mode: t
  TeX-PDF-mode: t
  TeX-source-correlate-mode: t
  pdf-occur-global-minor-mode: t
  stripe-buffer-mode: t
  helm-mode: t
  helm-ff-cache-mode: t
  helm-autoresize-mode: t
  helm--remap-mouse-mode: t
  global-magit-file-mode: t
  magit-auto-revert-mode: t
  global-git-commit-mode: t
  async-bytecomp-package-mode: t
  shell-dirtrack-mode: t
  recentf-mode: t
  global-semanticdb-minor-mode: t
  global-semantic-idle-scheduler-mode: t
  semantic-mode: t
  display-battery-mode: t
  display-time-mode: t
  show-paren-mode: t
  override-global-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/qsx/.emacs.d/elpa/dpkg-dev-el-20190824.2314/debian-autoloads hides /h=
ome/qsx/.emacs.d/elpa/debian-el-20201011.1543/debian-autoloads
/home/qsx/.emacs.d/elpa/auctex-12.2.5/context hides /usr/share/emacs/site-l=
isp/auctex/context
/home/qsx/.emacs.d/elpa/auctex-12.2.5/tex hides /usr/share/emacs/site-lisp/=
auctex/tex
/home/qsx/.emacs.d/elpa/auctex-12.2.5/tex-fold hides /usr/share/emacs/site-=
lisp/auctex/tex-fold
/home/qsx/.emacs.d/elpa/auctex-12.2.5/preview hides /usr/share/emacs/site-l=
isp/auctex/preview
/home/qsx/.emacs.d/elpa/auctex-12.2.5/tex-font hides /usr/share/emacs/site-=
lisp/auctex/tex-font
/home/qsx/.emacs.d/elpa/auctex-12.2.5/tex-ispell hides /usr/share/emacs/sit=
e-lisp/auctex/tex-ispell
/home/qsx/.emacs.d/elpa/auctex-12.2.5/latex-flymake hides /usr/share/emacs/=
site-lisp/auctex/latex-flymake
/home/qsx/.emacs.d/elpa/auctex-12.2.5/texmathp hides /usr/share/emacs/site-=
lisp/auctex/texmathp
/home/qsx/.emacs.d/elpa/auctex-12.2.5/context-en hides /usr/share/emacs/sit=
e-lisp/auctex/context-en
/home/qsx/.emacs.d/elpa/auctex-12.2.5/tex-mik hides /usr/share/emacs/site-l=
isp/auctex/tex-mik
/home/qsx/.emacs.d/elpa/auctex-12.2.5/context-nl hides /usr/share/emacs/sit=
e-lisp/auctex/context-nl
/home/qsx/.emacs.d/elpa/auctex-12.2.5/tex-info hides /usr/share/emacs/site-=
lisp/auctex/tex-info
/home/qsx/.emacs.d/elpa/auctex-12.2.5/multi-prompt hides /usr/share/emacs/s=
ite-lisp/auctex/multi-prompt
/home/qsx/.emacs.d/elpa/auctex-12.2.5/toolbar-x hides /usr/share/emacs/site=
-lisp/auctex/toolbar-x
/home/qsx/.emacs.d/elpa/auctex-12.2.5/font-latex hides /usr/share/emacs/sit=
e-lisp/auctex/font-latex
/home/qsx/.emacs.d/elpa/auctex-12.2.5/auctex hides /usr/share/emacs/site-li=
sp/auctex/auctex
/home/qsx/.emacs.d/elpa/auctex-12.2.5/tex-bar hides /usr/share/emacs/site-l=
isp/auctex/tex-bar
/home/qsx/.emacs.d/elpa/auctex-12.2.5/latex hides /usr/share/emacs/site-lis=
p/auctex/latex
/home/qsx/.emacs.d/elpa/auctex-12.2.5/plain-tex hides /usr/share/emacs/site=
-lisp/auctex/plain-tex
/home/qsx/.emacs.d/elpa/auctex-12.2.5/tex-style hides /usr/share/emacs/site=
-lisp/auctex/tex-style
/home/qsx/.emacs.d/elpa/auctex-12.2.5/tex-buf hides /usr/share/emacs/site-l=
isp/auctex/tex-buf
/home/qsx/.emacs.d/elpa/auctex-12.2.5/tex-jp hides /usr/share/emacs/site-li=
sp/auctex/tex-jp
/home/qsx/.emacs.d/elpa/auctex-12.2.5/tex-site hides /usr/share/emacs/site-=
lisp/auctex/tex-site
/home/qsx/.emacs.d/elpa/auctex-12.2.5/bib-cite hides /usr/share/emacs/site-=
lisp/auctex/bib-cite
/usr/share/emacs/site-lisp/cmake-mode hides /usr/share/emacs/site-lisp/cmak=
e/cmake-mode
/home/qsx/.emacs.d/elpa/dash-functional-20200617.702/dash-functional hides =
/usr/share/emacs/site-lisp/dash/dash-functional
/home/qsx/.emacs.d/elpa/dash-20200803.1520/dash hides /usr/share/emacs/site=
-lisp/dash/dash
/usr/share/emacs/site-lisp/desktop-entry-mode hides /usr/share/emacs/site-l=
isp/desktop-file-utils/desktop-entry-mode
/home/qsx/.emacs.d/elpa/f-20191110.1357/f hides /usr/share/emacs/site-lisp/=
f/f
/home/qsx/.emacs.d/elpa/ledger-mode-20200530.1710/ledger-post hides /usr/sh=
are/emacs/site-lisp/ledger-mode/ledger-post
/home/qsx/.emacs.d/elpa/ledger-mode-20200530.1710/ledger-navigate hides /us=
r/share/emacs/site-lisp/ledger-mode/ledger-navigate
/home/qsx/.emacs.d/elpa/ledger-mode-20200530.1710/ledger-reconcile hides /u=
sr/share/emacs/site-lisp/ledger-mode/ledger-reconcile
/home/qsx/.emacs.d/elpa/ledger-mode-20200530.1710/ledger-commodities hides =
/usr/share/emacs/site-lisp/ledger-mode/ledger-commodities
/home/qsx/.emacs.d/elpa/ledger-mode-20200530.1710/ledger-texi hides /usr/sh=
are/emacs/site-lisp/ledger-mode/ledger-texi
/home/qsx/.emacs.d/elpa/ledger-mode-20200530.1710/ledger-init hides /usr/sh=
are/emacs/site-lisp/ledger-mode/ledger-init
/home/qsx/.emacs.d/elpa/ledger-mode-20200530.1710/ledger-fontify hides /usr=
/share/emacs/site-lisp/ledger-mode/ledger-fontify
/home/qsx/.emacs.d/elpa/ledger-mode-20200530.1710/ledger-report hides /usr/=
share/emacs/site-lisp/ledger-mode/ledger-report
/home/qsx/.emacs.d/elpa/ledger-mode-20200530.1710/ledger-sort hides /usr/sh=
are/emacs/site-lisp/ledger-mode/ledger-sort
/home/qsx/.emacs.d/elpa/ledger-mode-20200530.1710/ledger-exec hides /usr/sh=
are/emacs/site-lisp/ledger-mode/ledger-exec
/home/qsx/.emacs.d/elpa/ledger-mode-20200530.1710/ledger-mode hides /usr/sh=
are/emacs/site-lisp/ledger-mode/ledger-mode
/home/qsx/.emacs.d/elpa/ledger-mode-20200530.1710/ledger-check hides /usr/s=
hare/emacs/site-lisp/ledger-mode/ledger-check
/home/qsx/.emacs.d/elpa/ledger-mode-20200530.1710/ledger-test hides /usr/sh=
are/emacs/site-lisp/ledger-mode/ledger-test
/home/qsx/.emacs.d/elpa/ledger-mode-20200530.1710/ledger-occur hides /usr/s=
hare/emacs/site-lisp/ledger-mode/ledger-occur
/home/qsx/.emacs.d/elpa/ledger-mode-20200530.1710/ledger-xact hides /usr/sh=
are/emacs/site-lisp/ledger-mode/ledger-xact
/home/qsx/.emacs.d/elpa/ledger-mode-20200530.1710/ledger-regex hides /usr/s=
hare/emacs/site-lisp/ledger-mode/ledger-regex
/home/qsx/.emacs.d/elpa/ledger-mode-20200530.1710/ledger-context hides /usr=
/share/emacs/site-lisp/ledger-mode/ledger-context
/home/qsx/.emacs.d/elpa/ledger-mode-20200530.1710/ledger-state hides /usr/s=
hare/emacs/site-lisp/ledger-mode/ledger-state
/home/qsx/.emacs.d/elpa/ledger-mode-20200530.1710/ledger-complete hides /us=
r/share/emacs/site-lisp/ledger-mode/ledger-complete
/home/qsx/.emacs.d/elpa/ledger-mode-20200530.1710/ledger-schedule hides /us=
r/share/emacs/site-lisp/ledger-mode/ledger-schedule
/home/qsx/.emacs.d/elpa/ledger-mode-20200530.1710/ledger-fonts hides /usr/s=
hare/emacs/site-lisp/ledger-mode/ledger-fonts
/home/qsx/.emacs.d/elpa/s-20180406.808/s hides /usr/share/emacs/site-lisp/s=
/s
/home/qsx/.emacs.d/elpa/with-editor-20200930.1912/with-editor hides /usr/sh=
are/emacs/site-lisp/with-editor/with-editor
/usr/share/emacs/site-lisp/mercury/gud hides /usr/share/emacs/27.1/lisp/pro=
gmodes/gud
/usr/share/emacs/site-lisp/mercurial/mercurial hides /home/qsx/.emacs.d/eli=
sp/mercurial

Features:
(shadow nnir emacsbug sendmail helm-x-files helm-for-files helm-bookmark
helm-adaptive helm-external helm-net mule-util flow-fill ace-window avy
eieio-opt rfc1843 help-fns radix-tree gnus-cite smiley mm-archive
mail-extr gnus-bcklg qp helm-config gnus-async sort gnus-ml disp-table
hl-line cursor-sensor nnagent nnml nndraft nnmh nnfolder nnmaildir nnnil
gnus-agent gnus-srvr gnus-score score-mode nnvirtual gnus-msg gnus-art
mm-uu mml2015 mm-view mml-smime smime dig nntp gnus-cache gnus-sum url
url-proxy url-privacy url-expand url-methods url-history mailcap shr
url-cookie url-domsuf svg dom gnus-group gnus-undo gnus-start gnus-cloud
nnimap nnmail mail-source utf7 netrc nnoo gnus-spec gnus-int gnus-range
gnus-win winner helm-command helm-elisp helm-eval edebug backtrace
helm-info gnus-alias gnus nnheader calc calc-loaddefs calc-macs
ledger-mode ledger-check ledger-texi ledger-test ledger-sort
ledger-report ledger-reconcile ledger-occur ledger-fonts ledger-fontify
ledger-state ledger-complete ledger-schedule ledger-init ledger-xact
ledger-post ledger-exec ledger-navigate eshell esh-cmd esh-ext esh-opt
esh-proc esh-io esh-arg esh-module esh-groups esh-util ledger-context
ledger-commodities org org-macro org-footnote org-pcomplete org-list
org-faces org-entities org-version ob-sqlite ob ob-tangle org-src ob-ref
ob-lob ob-table ob-exp ob-comint ob-emacs-lisp ob-core ob-eval org-table
ol org-keys org-compat org-macs org-loaddefs cal-menu calendar
cal-loaddefs ledger-regex haskell-mode haskell-cabal haskell-utils
haskell-font-lock haskell-indentation haskell-string
haskell-sort-imports haskell-lexeme haskell-align-imports
haskell-complete-module haskell-ghc-support etags fileloop generator
dabbrev haskell-customize adoc-mode tempo markup-faces json-mode
json-reformat json-snatcher js toml-mode conf-mode align auctex-latexmk
tex-buf latex latex-flymake flymake-proc flymake tex-ispell tex-style
tex dbus xml texmathp pdf-occur ibuf-ext ibuffer ibuffer-loaddefs
tablist tablist-filter semantic/wisent/comp semantic/wisent
semantic/wisent/wisent pdf-isearch let-alist pdf-misc pdf-tools cus-edit
pdf-view magit-bookmark bookmark jka-compr pdf-cache pdf-info tq
pdf-util image-mode exif dockerfile-mode sh-script executable
poly-ansible poly-ansible-jinja2-filters polymode poly-lock
polymode-base polymode-weave polymode-export polymode-compat
polymode-methods polymode-core polymode-classes ansible salt-mode rst
mmm-jinja2 mmm-auto mmm-vars mmm-utils mmm-compat yaml-mode
rainbow-delimiters stripe-buffer meson-mode smie apache-mode form-feed
helm-rg helm-mode helm-files tramp tramp-loaddefs trampver
tramp-integration files-x tramp-compat parse-time iso8601 ls-lisp
helm-buffers helm-occur helm-tags helm-locate helm-grep helm-regexp
helm-utils helm-help helm-types helm helm-global-bindings helm-easymenu
helm-source eieio-compat helm-multi-match helm-lib magit-submodule
magit-obsolete magit-blame magit-stash magit-reflog magit-bisect
magit-push magit-pull magit-fetch magit-clone magit-remote magit-commit
magit-sequence magit-notes magit-worktree magit-tag magit-merge
magit-branch magit-reset magit-files magit-refs magit-status magit
magit-repos magit-apply magit-wip magit-log which-func magit-diff
smerge-mode diff diff-mode magit-core magit-autorevert autorevert
magit-margin magit-transient magit-process magit-mode git-commit
transient magit-git magit-section magit-utils crm log-edit message dired
dired-loaddefs format-spec rfc822 mml mml-sec epa derived epg epg-config
gnus-util rmail rmail-loaddefs text-property-search time-date mm-decode
mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045 mm-util
ietf-drums mail-prsvr mailabbrev mail-utils gmm-utils mailheader
pcvs-util add-log with-editor async-bytecomp advice async shell
pcomplete lsp-ui lsp-ui-doc goto-addr lsp-ui-imenu lsp-ui-peek
lsp-ui-sideline face-remap lsp-mode yasnippet xref project url-util
spinner network-stream puny nsm rmc markdown-mode color thingatpt
noutline outline lv inline imenu filenotify f ewoc dash-functional
compile comint ansi-color bindat lsp-protocol ht srefactor srefactor-ui
recentf tree-widget cl srecode/semantic semantic/senator
semantic/decorate pulse srecode/insert srecode/filters srecode/args
ede/speedbar ede/files ede ede/detect ede/base ede/auto ede/source
eieio-speedbar speedbar sb-image dframe eieio-custom wid-edit
srecode/find srecode/map srecode/ctxt srecode/compile srecode/dictionary
srecode/fields srecode/table srecode semantic/doc semantic/tag-file
quilt semantic/db-file data-debug ring cedet-files semantic/bovine/c
hideif semantic/bovine/c-by semantic/lex-spp semantic/bovine/gcc
semantic/dep semantic/bovine semantic/analyze/refs semantic/db-find
semantic/db-ref cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles
cc-align cc-engine cc-vars cc-defs semantic/db-mode semantic/idle
semantic/analyze semantic/sort semantic/scope semantic/analyze/fcn
semantic/db eieio-base semantic/format ezimage semantic/tag-ls
semantic/find semantic/ctxt semantic/util-modes semantic/util semantic
pp semantic/tag semantic/lex semantic/fw mode-local find-func cedet
company-shell dash company-ansible company-ansible-keywords
company-reftex s reftex-cite reftex reftex-loaddefs reftex-vars
company-bibtex parsebib bibtex warnings company-math math-symbol-lists
company edmacro kmacro pcase cl-extra help-mode battery time
deeper-blue-theme paren cus-start cus-load server use-package
use-package-ensure use-package-delight use-package-diminish
use-package-bind-key bind-key easy-mmode use-package-core finder-inf
site-gentoo w3m-load preview-latex erlang-start tex-site dpkg-dev-el
debian-el rx info package easymenu browse-url url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json subr-x map url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting cairo move-toolbar gtk x-toolkit
x multi-tty make-network-process emacs)

Memory information:
((conses 16 3763758 413383)
 (symbols 48 66383 3)
 (strings 32 2065449 238006)
 (string-bytes 1 108958761)
 (vectors 16 707848)
 (vector-slots 8 10736219 416300)
 (floats 8 667 485)
 (intervals 56 8152 1322)
 (buffers 1000 47))




Acknowledgement sent to Thomas Schneider <qsx@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN, bugs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#44307; Package emacs,gnus. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 2 Nov 2020 15:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.